<template>
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <line-chart :chart-data="data" :height="150" :options="{
                    responsive: true,
                    maintainAspectRation: true
                }">

                </line-chart>
                <input type="checkbox" v-model="realtime"> realtime
                <input type="text" v-model="label">
                <input type="text" v-model="sale">
                <button @click="sendData" class="btn btn-primary">
                    Refresh
                </button>
            </div>
        </div>
    </div>
</template>

<script>
    import LineChart from './LineChart';
    export default {
        components:{
          LineChart
        },
        data: function(){
          return{
              data:[],
              realtime: false,
              label: "",
              sale: 500
          }
        },
        mounted() {
            var socket = io('http://lara-vue-socket-larn:3000');
            socket.on("news-action:App\\Events\\newEvent", function (data) {
                this.data = data.result;
            }.bind(this));
            this.update()
        },
        methods: {
            update: function () {
                axios.get('/graphs/socket-chart').then((response) =>{
                    console.log(response);
                    this.data = response.data
                })
            },
            sendData: function () {
                axios({
                    method: 'get',
                    url: '/graphs/socket-chart',
                    params: {
                        label: this.label,
                        sale: this.sale,
                        realtime: this.realtime
                    }
                }).then((response) =>{
                    console.log(response);
                    this.data = response.data
                })
            }
        }
    }
</script>
